package com.example.tolucagraphics.events

data class EventCreateMesaTRE (
    val type: String? = null,
    val data: DataCRTRE? = null
)

data class DataCRTRE (
    val eventName: String? = null,
    val user: User? = null,
    val room: RoomCRTRE? = null,
    val table: TableCRTRE? = null
)

data class RoomCRTRE (
    val id: String? = null,
    val name: String? = null
)

data class TableCRTRE (
    val id: String? = null,
    val status: String? = null,
    val roomID: String? = null,
    val points: Long? = null,
    val owner: UserCRTRE? = null,
    val privateTable: Boolean? = null,
    val users: List<UserCRTRE>? = null
)

data class UserCRTRE (
    val id: String? = null,
    val username: String? = null
)
