package com.example.tolucagraphics.events

data class EventGetRoom (
    val type: String? = null,
    val command: String? = null,
    val data: Data? = null
)

data class Data (
    val eventName: String? = null,
    val user: UserUser? = null,
    val rooms: List<Room>? = null
)

data class Room (
    val id: String? = null,
    val name: String? = null,
    val users: List<UserElement>? = null,
    val tables: List<TableGR>? = null
)

data class UserElement (
    val user: UserUser? = null,
    val online: Boolean? = null
)

data class UserUser (
    val id: String? = null,
    val username: String? = null
)

data class TableGR (
    val id: String? = null,
    val status: String? = null,
    val roomID: String? = null,
    val points: Long? = null,
    val owner: OwnerClass? = null,
    val privateTable: Boolean? = null,
    val users: List<OwnerClass>? = null,
    val positions: List<OwnerClass>? = null
)
data class OwnerClass (
    val id: String? = null,
    val username: String? = null
)