package com.example.tolucagraphics.events

data class EventJoinRoomTRE (
    val type: String? = null,
    val data: DataJRTRE? = null
)

data class DataJRTRE (
    val eventName: String? = null,
    val message: String? = null,
    val user: UserUserJRTRE? = null,
    val room: RoomJRTRE? = null
)

data class RoomJRTRE (
    val id: String? = null,
    val name: String? = null,
    val users: List<UserElementJRTRE>? = null,
    val tables: List<Any?>? = null
)

data class UserElementJRTRE (
    val user: UserUserJRTRE? = null,
    val online: Boolean? = null
)

data class UserUserJRTRE (
    val id: String? = null,
    val username: String? = null
)