package com.example.tolucagraphics.events

data class EventTablePositionSetted (
    val type: String? = null,
    val data: DataETPS? = null
)

data class DataETPS (
    val eventName: String? = null,
    val message: String? = null,
    val roomID: String? = null,
    val user: User? = null,
    val tableID: String? = null,
    val position: Long? = null,
    val table: TableETPS? = null
)

data class TableETPS (
    val id: String? = null,
    val status: String? = null,
    val roomID: String? = null,
    val points: Long? = null,
    val owner: UserETPS? = null,
    val privateTable: Boolean? = null,
    val positions: ArrayList<UserETPS?>? = null
)

data class UserETPS (
    val id: String? = null,
    val username: String? = null
)
