package com.example.tolucagraphics.events

data class EventCreateMesa (
    var type: String? = null,
    var command: String? = null,
    val data: DataECT? = null
)

data class DataECT (
    var eventName: String? = null,
    var user: User? = null,
    var room: RoomECT? = null,
    val table: Table? = null
)

data class RoomECT (
    val id: String? = null,
    val name: String? = null
)

data class Table (
    var id: String? = null,
    var status: String? = null,
    var roomID: String? = null,
    var points: Long? = null,
    var owner: User? = null,
    var privateTable: Boolean? = null,
    var users : ArrayList<User>? = null
)

data class User (
    var id: String? = null,
    var username: String? = null
)