package com.example.tolucagraphics.events

data class EventJoinRoom (
    val type: String? = null,
    val command: String? = null,
    val data: DataJoin? = null
)

data class DataJoin (
    val eventName: String? = null,
    val message: String? = null,
    val user: UserUser? = null,
    val room: RoomJoin? = null
)

data class RoomJoin (
    val id: String? = null,
    val name: String? = null,
    val users: List<UserElementJoin>? = null,
    val tables: List<Any?>? = null
)

data class UserElementJoin (
    val user: UserUserJoin? = null,
    val online: Boolean? = null
)

data class UserUserJoin (
    val id: String? = null,
    val username: String? = null
)
